image:
  name: kalrabb/docker-swen-250-identifier-convention-chkr-img:latest

variables:
  PROJECT_FOLDER: Filter #Change this to your current folder/ project
  BUILD_CMD: make #If you don't have a Makefile, put the build command here
  RUN_CMD: valgrind --leak-check=full ./test #Assume the executable file is called 'test'  
before_script:
  - cat /etc/lsb-release
  - which gcc
  - which g++
  - which valgrind
  - which make
  - cd $PROJECT_FOLDER
  - pwd
  - ulimit -n 1048576
  - ulimit -a
testrunner:
  script:
    - $BUILD_CMD  #Runs make, or custom command
    - $RUN_CMD  #Runs the executable against valgrind
    - echo "**Done**"  
  stage: test
